type: google.api.Service
config_version: 3
name: bigqueryreservation.googleapis.com
title: BigQuery Reservation API

apis:
- name: google.cloud.bigquery.reservation.v1.ReservationService

documentation:
  summary: 'A service to modify your BigQuery flat-rate reservations.'

backend:
  rules:
  - selector: 'google.cloud.bigquery.reservation.v1.ReservationService.*'
    deadline: 30.0
  - selector: 'google.longrunning.Operations.*'
    deadline: 30.0

authentication:
  rules:
  - selector: 'google.cloud.bigquery.reservation.v1.ReservationService.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/bigquery,
        https://www.googleapis.com/auth/cloud-platform
  - selector: 'google.longrunning.Operations.*'
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/bigquery,
        https://www.googleapis.com/auth/cloud-platform
